List Metafields

Get all location metafields.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Store Locations | read-only | `store_locations_read_only` | | Store Locations | modify | `store_locations` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see [API Accounts and OAuth Scopes](/developer/docs/overview/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts). For more about BigCommerce OAuth scopes, see [API Accounts and OAuth Scopes](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Query parameters

pageintegerOptional

Specifies the page number in a limited (paginated) list of products.

limitintegerOptional

Controls the number of items per page in a limited (paginated) list of products.

keystringOptional

Filter based on a metafieldʼs key.

key:inlist of stringsOptional

Filter based on comma-separated metafieldʼs keys. Could be used with vanilla ‘key’ query parameter.

namespacestringOptional

Filter based on a metafieldʼs namespaces.

namespace:inlist of stringsOptional

Filter based on comma-separated metafieldʼs namespaces. Could be used with vanilla ‘namespace’ query parameter.

directionenumOptional

Sort direction. Acceptable values are: asc, desc.

Allowed values:
include_fieldslist of enumsOptional

Fields to include, in a comma-separated list. The ID and the specified fields will be returned.

date_modified:minstringOptional

‘Query parameter that lets you filter by the minimum date modified, for example, 2024-05-14T09:34:00, 2024-05-14T09:34:00 or 2024-05-14. Returns metafields modified after this date.’

date_modified:maxstringOptional

‘Query parameter that lets you filter by the maximum date modified, for example, 2024-05-14T09:34:00, 2024-05-14T09:34:00 or 2024-05-14. Returns metafields modified before this date.’

date_created:minstringOptional

‘Query parameter that lets you filter by the minimum date created, for example, 2024-05-14T09:34:00, 2024-05-14T09:34:00 or 2024-05-14. Returns metafields created after this date.’

date_created:maxstringOptional

‘Query parameter that lets you filter by the maximum date created, for example, 2024-05-14T09:34:00, 2024-05-14T09:34:00 or 2024-05-14. Returns metafields created before this date.’

Response

List of Metafield objects.

datalist of objects
metaobject
Data about the response, including pagination and collection totals.